<template lang="pug">
.text-right.d-flex.save-button-row
  //- Left part
  slot(name="cancel") 
    md-button.md-primary.col-mr-auto(@click="cancel()").
      {{ $t('cancel') | capitalize }}

  //- Right part
  slot(name="save")
    md-menu(md-size="auto" md-direction="bottom-end")
      md-button#publishMenu.md-primary(md-menu-trigger) {{ $t('save') }}
      md-menu-content(z-index="2")
        md-menu-item#publishDraft(@click="save()")
          span {{ $t('save as', { thing: $tc('draft') }) }}
          md-icon save
        md-menu-item#publishPublic(@click="publish()")
          span {{ $t('save') }} and {{ $t('publish') | capitalize }}
          md-icon save
</template>

<script>
export default {
  methods: {
    cancel() {
      this.$emit('cancel')
    },
    save() {
      this.$emit('save')
    },
    publish() {
      this.$emit('publish')
    }
  }
}
</script>

<style lang="postcss" scoped>
.save-button-row {
  justify-content: flex-end;
  margin-top: 1rem;
  margin-bottom: 2rem;
  margin-left: 1rem;
  align-items: center;
}

.divider-vert {
  &::after {
    background: none;
  }
  &::before {
    border: none;
  }
}
</style>
